Param(
    [Parameter(Mandatory = $true)]
    [string[]]
    $ComputerName
)

ForEach ($cn in $ComputerName) {
    Write-Verbose -Message "Attempt Solarwinds removal for $cn" -Verbose
    Remove-ITDSolarwindsNode -ComputerName $cn -Credential $Secret:ndgov_svcitdiaasauto -Verbose
}